Uploaded image for project: 'Minecraft Launcher'
  1. Minecraft Launcher
  2. MCL-15849

Launcher uses outdated Chrome version for sign-in

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Resolution: Fixed
    • Affects Version/s: 2.2.743 (Windows), 2.2.910 (macOS), 2.2.1164 (Windows), 2.2.1166 (macOS), 2.2.1262 (Linux), 2.2.1431 (Windows), 2.2.1862 (Windows)
    • Component/s: None
    • Labels:
    • Confirmation Status:
      Confirmed

      Description

      The bug

      When the mini-browser is used to sign in, an old version of Chrome is used (v61). This was released in 2017 and likely does not contain the latest security patches. I'm assuming something like sign-in shouldn't be left this vulnerable.

      Steps to reproduce

      • Go to Settings > Accounts > Add Microsoft account
      • Navigate to a website such as https://amiunique.org to verify the browser version

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              MishMoshKeel21 MMK21
              Votes:
              3 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                CHK: